Package org.eclipse.birt.report.engine.content

# Interface IRowContent

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IContainerContent`, `IContent`, `IElement`, `IStyledElement`

public interface IRowContent extends IContainerContent
Provides the interfaces for the Row AbstractContent

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.content.IContent

`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

## Method Summary

Modifier and Type
Method
Description
`IBandContent`
`getBand()`
Get the band
`IGroupContent`
`getGroup()`
Get the group
`String`
`getGroupId()`
Get the group id
`int`
`getRowID()`
Get the row id
`ITableContent`
`getTable()`
Get the table
`boolean`
`isRepeatable()`
Is repeatable
`void`
`setGroupId(String groupId)`
Set the group id
`void`
`setRepeatable(boolean repeatable)`
Set repeatable
`void`
`setRowID(int rowID)`
Set the row id

### Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement

`getComputedStyle, getCSSEngine, getStyle`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IContent

`accept, cloneContent, getACL, getAltText, getAltTextKey, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTagType, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setAltText, setAltTextKey, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTagType, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IElement

`getChildren, getParent, setParent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

## Method Details

### getRowID

int getRowID()
Get the row id

Returns:
  the row id

### setRowID

void setRowID(int rowID)
Set the row id

Parameters:
  `rowID` - row id

### getTable

ITableContent getTable()
Get the table

Returns:
  the table

### getGroupId

String getGroupId()
Get the group id

Returns:
  the group id

### setGroupId

void setGroupId(String groupId)
Set the group id

Parameters:
  `groupId` - group id

### getGroup

IGroupContent getGroup()
Get the group

Returns:
  the group

### getBand

IBandContent getBand()
Get the band

Returns:
  the band

### setRepeatable

void setRepeatable(boolean repeatable)
Set repeatable

Parameters:
  `repeatable` - is repeatable

### isRepeatable

boolean isRepeatable()
Is repeatable

Returns:
  is repeatable